Python cubes - SQL Server DB - Filter not working

59 views
Skip to first unread message

Radha P

unread,
Jun 14, 2017, 8:43:55 AM6/14/17
to Cubes
The filter is not working when i browse through members getting a below error

Attached the json files for reference

[2017-06-14 18:10:17,731] ERROR in app: Exception on /cube/rhv_resthourdetail/me
mbers/rhv_vessel [GET]
Traceback (most recent call last):
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 1182, in _execute_context
    context)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\default.py"
, line 470, in do_execute
    cursor.execute(statement, parameters)
pyodbc.ProgrammingError: ('42S22', "[42S22] [Microsoft][SQL Server Native Client
 11.0][SQL Server]Invalid column name 'rhv_vessel.vid'. (207) (SQLExecDirectW)")


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\app.py", line 1982, in
wsgi_app
    response = self.full_dispatch_request()
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\app.py", line 1614, in
full_dispatch_request
    rv = self.handle_user_exception(e)
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\app.py", line 1517, in
handle_user_exception
    reraise(exc_type, exc_value, tb)
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\_compat.py", line 33, i
n reraise
    raise value
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\app.py", line 1612, in
full_dispatch_request
    rv = self.dispatch_request()
  File "C:\ProgramData\Anaconda3\lib\site-packages\flask\app.py", line 1598, in
dispatch_request
    return self.view_functions[rule.endpoint](**req.view_args)
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\server\decorators.py",
line 118, in wrapper
    return f(*args, **kwargs)
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\server\decorators.py",
line 167, in wrapper
    retval = f(*args, **kwargs)
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\server\blueprint.py", l
ine 474, in cube_members
    page_size=g.page_size)
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\browser.py", line 371,
in members
    **options)
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\sql\browser.py", line 3
10, in provide_members
    result = self.execute(statement, "members")
  File "C:\ProgramData\Anaconda3\lib\site-packages\cubes\sql\browser.py", line 3
49, in execute
    return self.connectable.execute(statement)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 2064, in execute
    return connection.execute(statement, *multiparams, **params)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 945, in execute
    return meth(self, multiparams, params)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\sql\elements.py",
line 263, in _execute_on_connection
    return connection._execute_clauseelement(self, multiparams, params)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 1053, in _execute_clauseelement
    compiled_sql, distilled_params
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 1189, in _execute_context
    context)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 1402, in _handle_dbapi_exception
    exc_info
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\util\compat.py", l
ine 203, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=cause)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\util\compat.py", l
ine 186, in reraise
    raise value.with_traceback(tb)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\base.py", l
ine 1182, in _execute_context
    context)
  File "C:\ProgramData\Anaconda3\lib\site-packages\sqlalchemy\engine\default.py"
, line 470, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (pyodbc.ProgrammingError) ('42S22', "[42S22] [M
icrosoft][SQL Server Native Client 11.0][SQL Server]Invalid column name 'rhv_ves
sel.vid'. (207) (SQLExecDirectW)") [SQL: 'SELECT rhv_vessel.vid AS [rhv_vessel.v
id] \nFROM rhv_resthourdetail JOIN rhv_vessel AS rhv_vessel ON rhv_resthourdetai
l.sourceid = rhv_vessel.vid GROUP BY [rhv_vessel.vid]']
127.0.0.1 - - [14/Jun/2017 18:10:17] "GET /cube/rhv_resthourdetail/members/rhv_v
essel?hierarchy=default&depth=1 HTTP/1.1" 500 -

rhmmodel.json
Reply all
Reply to author
Forward
0 new messages